Get Customers for Current User
GET /obp/v7.0.0/users/current/customers
OBPv3.0.0-getCustomersForUser No role required CustomerUser
Gets all Customers that are linked to a User.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (32)
- amount
- 10.12
- bank_id
- gh.29.uk
- branch_id
- DERBY6
- currency
- EUR
- customer_attribute_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_attributes
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_number
- 5987953
- customers
- date
- 2020-01-27
- date_of_birth
- 2018-03-09
- dependants
- 1
- dob_of_dependants
- [2019-09-08, 2017-07-12]
- felixsmith@example.com
- employment_status
- worker
- face_image
- highest_education_attained
- Master
- kyc_status
- false
- last_ok_date
- 2025-10-21T01:45:31.340Z
- legal_name
- Eveline Tripman
- mobile_phone_number
- +49 30 901820
- name
- ACCOUNT_MANAGEMENT_FEE
- name_suffix
- Sr
- rating
- relationship_status
- single
- source
- title
- Dr.
- type
- url
- http://www.example.com/id-docs/123/image.png
- value
- 5987953
- credit_limit
- credit_rating
Example success response
{
"customers": [
{
"bank_id": "gh.29.uk",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"customer_number": "5987953",
"legal_name": "Eveline Tripman",
"mobile_phone_number": "+44 07972 444 876",
"email": "felixsmith@example.com",
"face_image": {
"url": "www.openbankproject",
"date": "1100-01-01T00:00:00Z"
},
"date_of_birth": "19900101",
"relationship_status": "single",
"dependants": 1,
"dob_of_dependants": [
"19900101"
],
"credit_rating": {
"rating": "OBP",
"source": "OBP"
},
"credit_limit": {
"currency": "EUR",
"amount": "0"
},
"highest_education_attained": "Master",
"employment_status": "worker",
"kyc_status": false,
"last_ok_date": "2025-10-21T01:45:41Z",
"title": "Dr.",
"branch_id": "DERBY6",
"name_suffix": "Sr",
"customer_attributes": [
{
"customer_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"name": "SPECIAL_TAX_NUMBER",
"type": "STRING",
"value": "123456789"
}
]
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30008: User Customer Link not found by USER_ID
- OBP-50000: Unknown Error.